.container {
   width: 100%;
   padding-right: 15px;
   padding-left: 15px;
   margin-right: auto;
   margin-left: auto;
}

.container-fluid {
   width: 100%;
   padding-right: 15px;
   padding-left: 15px;
   margin-right: auto;
   margin-left: auto;
}

.row {
   display: -ms-flexbox;
   display: flex;
   -ms-flex-wrap: wrap;
   flex-wrap: wrap;
   margin-right: -15px;
   margin-left: -15px;
}

.no-gutters {
   margin-right: 0;
   margin-left: 0;
}

.no-gutters>.col,
.no-gutters>[class*="cl-"] {
   padding-right: 0;
   padding-left: 0;
}

[class*="cl-"] {
   position: relative;
   width: 100%;
   padding-right: 15px;
   padding-left: 15px;
}


@each $item in $sizes {
   $size: get-grid-size($item);

   @media (get-grid-breakpoint($item)) {

      .container {
         max-width: map-get($container-size, $item);
      }

      .cl#{$size} {
         -ms-flex-preferred-size: 0;
         flex-basis: 0;
         -ms-flex-positive: 1;
         flex-grow: 1;
         max-width: 100%;
      }

      .cl#{$size}-auto {
         -ms-flex: 0 0 auto;
         flex: 0 0 auto;
         width: auto;
         max-width: 100%;
      }

      .order#{$size}-first {
         -ms-flex-order: -1;
         order: -1;
      }

      .order#{$size}-last {
         -ms-flex-order: $grid-count+1;
         order: $grid-count+1;
      }

      @for $i from 1 through $grid-count {
         $value: (100/$grid-count)*$i;

         .cl#{$size}-#{$i} {
            -ms-flex: 0 0 unquote($value+'%');
            flex: 0 0 unquote($value+'%');
            max-width: unquote($value+'%');
         }

         .order#{$size}-#{$i} {
            -ms-flex-order: $i;
            order: $i;
         }

         .offset#{$size}-#{$i} {
            margin-left: unquote($value+'%');
         }
      }
   }
}